View Single Post
  #13  
Old 14th March 2013, 21:52
Rockdrala Rockdrala is offline
Senior Member
 
Join Date: Dec 2007
Posts: 140
Thanks: 7
Thanked 2 Times in 2 Posts
Default

http://serverfault.com/questions/484...https-variable

This forum says to upgrade to 1.2.7 but the os wont let it after adding the repository it requested.

Code:
[root@node1 ~]# vi /etc/yum.repos.d/nginx.repo
[root@node1 ~]# yum upgrade nginx
Loaded plugins: fastestmirror, priorities, security
Loading mirror speeds from cached hostfile
 * base: mirror.sanctuaryhost.com
 * epel: mirror.steadfast.net
 * extras: mirrors.gigenet.com
 * rpmforge: mirror.teklinks.com
 * updates: mirror.steadfast.net
http://nginx.org/packages/centos/6.4/x86_64/repodata/repomd.xml: [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 404 Not Found"
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: nginx. Please verify its path and try again
[root@node1 ~]# vi /etc/yum.repos.d/nginx.repo
[root@node1 ~]# yum upgrade nginx
Loaded plugins: fastestmirror, priorities, security
Loading mirror speeds from cached hostfile
 * base: mirror.sanctuaryhost.com
 * epel: mirror.steadfast.net
 * extras: mirrors.gigenet.com
 * rpmforge: mirror.teklinks.com
 * updates: mirror.steadfast.net
nginx                                                    | 1.3 kB     00:00
nginx/primary                                            | 5.0 kB     00:00
nginx                                                                     35/35
1370 packages excluded due to repository priority protections
Setting up Upgrade Process
No Packages marked for Update
[root@node1 ~]# yum install nginx
Loaded plugins: fastestmirror, priorities, security
Loading mirror speeds from cached hostfile
 * base: mirror.sanctuaryhost.com
 * epel: mirror.steadfast.net
 * extras: mirrors.gigenet.com
 * rpmforge: mirror.teklinks.com
 * updates: mirror.steadfast.net
1370 packages excluded due to repository priority protections
Setting up Install Process
Package nginx-1.0.15-3.el6.x86_64 already installed and latest version
Nothing to do

I cant figure it out.
Reply With Quote